<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 11:55 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_reglamento']) && isset($_REQUEST['estado'])) {
            $idReglamento = $_REQUEST['id_reglamento'];
            $estado = $_REQUEST['estado'];
            $reglamento = R::load('reglamento', $idReglamento);
            $reglamento->fechaModificacion = date('Y-m-d H:i:s');
            $reglamento->estado = $estado;
            $id = R::store($reglamento);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}